# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/).

## [0.2] - 2024-11-13

### Added

- **PlayerActions**:
    - **Suicide Command**:
        - Added a `/suicide` command that prompts players for confirmation before execution.
        - Players can confirm by clicking on the generated clickable message or typing `/suicide confirm`.
        - Upon confirmation, the player dies instantly, and the chat window or console is closed to prevent further interaction.

## [0.1] - 2024-11-10

### Added

- **PlayerList**:
    - **Login Message Blocking**:
        - Added a mixin to `PlayerList` to prevent broadcasting login messages when players join the server.

- **ServerGamePacketListenerImpl**:
    - **Logout Message Blocking**:
        - Added a mixin to `ServerGamePacketListenerImpl` to prevent broadcasting logout messages when players leave the server.
